com.microfocus.zserver.zexplorer.ui.view

## Class FileMappingsView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - com.microfocus.zserver.zexplorer.ui.view.FileMappingsView

- All Implemented Interfaces:
    java.util.Observer, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

      public class FileMappingsView
      extends org.eclipse.ui.part.ViewPart
      implements java.util.Observer

  Implementation of the File Mappings view.
  Author:
    Ralf Pakosch

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

      `PROP_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMappingsView()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPartControl(org.eclipse.swt.widgets.Composite pParent)`
    `void` | `dispose()`
    `void` | `setFocus()`
    `void` | `update(java.util.Observable pO, java.lang.Object pArg)`

    - ### Methods inherited from class org.eclipse.ui.part.ViewPart

      `getViewSite, init, init, saveState, setInitializationData`

    - ### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

      `addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

      `addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### FileMappingsView

          public FileMappingsView()

  - ### Method Detail

    - #### createPartControl

          public void createPartControl(org.eclipse.swt.widgets.Composite pParent)

      Specified by:
        `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
      Specified by:
        `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`

    - #### setFocus

          public void setFocus()

      Specified by:
        `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
      Specified by:
        `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`

    - #### update

          public void update(java.util.Observable pO,
                             java.lang.Object pArg)

      Specified by:
        `update` in interface `java.util.Observer`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
      Overrides:
        `dispose` in class `org.eclipse.ui.part.WorkbenchPart`

Copyright © 2015 Micro Focus GmbH. All rights reserved.